<?php
/*
Plugin Name: About 1 menu
Version: 12.0.a
Description: Add About as menu level 1
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=478
Author: ddtddt
Author URI: http://temmii.com/piwigo/
*/
// +-----------------------------------------------------------------------+
// | About 1 menu plugin for piwigo  by TEMMII                             |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2013-2021 ddtddt               http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('A1M_DIR' , basename(dirname(__FILE__)));
define('A1M_PATH' , PHPWG_PLUGINS_PATH . A1M_DIR . '/');

add_event_handler('blockmanager_register_blocks', 'register_a1m_menubar_blocks');
add_event_handler('blockmanager_apply', 'a1m_apply');

function register_a1m_menubar_blocks( $menu_ref_arr )
{
  $menu = & $menu_ref_arr[0];
  if ($menu->get_id() != 'menubar')
    return;
  $menu->register_block( new RegisteredBlock( 'mbAbout', 'About', 'A1M'));
}

function a1m_apply($menu_ref_arr)
{
  global $template,$user;

 $menu = & $menu_ref_arr[0];
 
	    $template->assign	(
		array	(
        'A1MTITLE'     => l10n('About Piwigo'),
        'A1MNAME'      => l10n('About'),
        'A1MURL' => get_root_url().'about.php',
				)			);

   
    if (($block = $menu->get_block( 'mbAbout' )) != null) {
	$template->set_template_dir(A1M_PATH.'template/');
		if ($user['theme'] == 'bootstrapdefault'||$user['theme'] == 'bootstrap_darkroom'){
		  $block->template = 'menubar_about_Bootstrap_Default.tpl';		
		}else if ($user['theme'] == 'smartpocket'){
		  $block->template = 'menubar_about_smartpocket.tpl';		
		}else{
		  $block->template = 'menubar_about.tpl';
		}
    }
}


?>